<!DOCTYPE HTML>
<html lang="it">
<head>
<!-- Generated by javadoc (17) on Tue Apr 09 16:33:00 CEST 2024 -->
<title>A-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-04-09">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../EsercizioPalestra/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><a href="../EsercizioPalestra/AbbonamentoNonValidoException.html" class="type-name-link" title="class in EsercizioPalestra">AbbonamentoNonValidoException</a> - Exception in <a href="../EsercizioPalestra/package-summary.html">EsercizioPalestra</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/AbbonamentoNonValidoException.html#%3Cinit%3E()" class="member-name-link">AbbonamentoNonValidoException()</a> - Constructor for exception EsercizioPalestra.<a href="../EsercizioPalestra/AbbonamentoNonValidoException.html" title="class in EsercizioPalestra">AbbonamentoNonValidoException</a></dt>
<dd>
<div class="block">L'eccezione viene lanciata quando l'abbonamento del membro non Ã¨ piÃ¹ valido.</div>
</dd>
<dt><a href="../EsercizioPalestra/ClasseDiAllenamento.html#aggiungiMembro(EsercizioPalestra.Membro)" class="member-name-link">aggiungiMembro(Membro)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/ClasseDiAllenamento.html" title="class in EsercizioPalestra">ClasseDiAllenamento</a></dt>
<dd>
<div class="block">Questo metodo permette di aggiungere un nuovo membro ad una classe, inoltre richiama il metodo per l'aggiornamento dello stato dell'abbonamento del singolo membro.</div>
</dd>
<dt><a href="../EsercizioPalestra/TipologiaAbbonamento.html#ANNUALE" class="member-name-link">ANNUALE</a> - Enum constant in enum class EsercizioPalestra.<a href="../EsercizioPalestra/TipologiaAbbonamento.html" title="enum class in EsercizioPalestra">TipologiaAbbonamento</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../EsercizioPalestra/GestionePalestra.html#assegnaInsegnante(EsercizioPalestra.Istruttore,EsercizioPalestra.ClasseDiAllenamento)" class="member-name-link">assegnaInsegnante(Istruttore, ClasseDiAllenamento)</a> - Method in class EsercizioPalestra.<a href="../EsercizioPalestra/GestionePalestra.html" title="class in EsercizioPalestra">GestionePalestra</a></dt>
<dd>
<div class="block">Questo metodo si occupa di assegnare un istruttore ad una data classe.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">N</a>&nbsp;<a href="index-9.html">R</a>&nbsp;<a href="index-10.html">S</a>&nbsp;<a href="index-11.html">T</a>&nbsp;<a href="index-12.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
